﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;
using System.Windows.Input;

namespace WpfApp1
{
    public class MainViewModel : CommonModelPropertiesBase
    {
        public ICommand AddSomething { get; private set; }

        public MainViewModel()
        {
            AddSomething = new RelayCommand(ExecuteAddSomething, CanExecuteAddSomthing);
            MyList = new ObservableCollection<Person>();
            MyList.Add(
                new Person
                {
                    Name = "Kazmierczak",
                    FirstName = "Steven"
                });
        }

        private ObservableCollection<Person> mylist;
        public ObservableCollection<Person> MyList
        {
            get
            {
                return mylist;
            }
            set
            {
                SetProperty(ref mylist, value);
            }
        }

        private Person selectedItem;
        public Person SelectedItem {
            get { return selectedItem; }
            set
            {
                SetProperty(ref selectedItem, value);
            }
        }

        private  void ExecuteAddSomething() {
            MyList.Add(
                new Person
                {
                    Name = "Poelmans",
                    FirstName = "Paula"
                });
        }
        private bool CanExecuteAddSomthing() {
            return true;
        }
    }
}
