﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WpfApp1
{
    public class Person : CommonModelPropertiesBase
    {
        private string name;

        public string Name
        {
            get { return name; }
            set
            {
                SetProperty(ref name, value);
                OnPropertyChanged("FullName");
            }
        }

        private string firstName;

        public string FirstName
        {
            get { 
                return firstName; 
            }
            set {
                SetProperty(ref firstName, value);
                OnPropertyChanged("FullName");
            }
        }

        public string FullName
        {
            get { 
                return FirstName + " " + Name; 
            }
        }
    }
}
